"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeOptions = normalizeOptions;
const project_name_and_root_utils_1 = require("@nx/devkit/src/generators/project-name-and-root-utils");
async function normalizeOptions(tree, options) {
    const projectType = options.template === 'app' ? 'application' : 'library';
    await (0, project_name_and_root_utils_1.ensureRootProjectName)(options, projectType);
    const { projectName, projectRoot } = await (0, project_name_and_root_utils_1.determineProjectNameAndRootOptions)(tree, {
        name: options.name,
        projectType,
        directory: options.directory,
        //rootProject: options.rootProject,
    });
    options.name = projectName;
    const parsedTags = options.tags
        ? options.tags.split(',').map((s) => s.trim())
        : [];
    return {
        ...options,
        projectName,
        projectRoot,
        parsedTags,
    };
}
//# sourceMappingURL=normalize-options.js.map